Update an existing webhook endpoint
Update the configuration of an existing webhook endpoint. A webhook that has been disabled due to consecutive delivery failures can be reactivated by setting its status to 'active'.
Authentication
AuthorizationBearer
Bearer token authentication for Mercury API.
Use your API token in the Authorization header:
Authorization: Bearer TOKEN
Example:
Authorization: Bearer secret-token:mercury_production_wma_24SCp4G81X3yHL4Wq8FgzuaP9ye3VKf2mgTDctXyRg5HY_yrucrem
Your Mercury API token should include the ‘secret-token:’ prefix. Tokens can be generated from your Mercury dashboard settings.
Path parameters
webhookEndpointId
Request
This endpoint expects an object.
eventTypes
Event types to subscribe to. Send null to subscribe to all event types. Send an array to subscribe to specific types. Omit to leave unchanged.
filterPaths
Resource field paths to filter events by. When specified, webhook events will only be sent when one of these fields changes. Send null for no filtering. Send an array to filter by specific fields. Omit to leave unchanged.
status
Allowed values:
url
The URL to which webhook events will be delivered. Omit to leave unchanged.
Response
createdAt
id
status
The operational status of a webhook endpoint.
Allowed values:
updatedAt
url
The URL that will receive webhook POST requests
eventTypes
Optional array of event types this webhook is subscribed to. Nothing means all events.
filterPaths
Optional array of resource field paths to filter events by. Nothing means no filtering.
secret
Webhook signing secret. Only returned on creation (POST), not on GET or UPDATE operations.
Errors
400
Bad Request Error
404
Not Found Error

